site_name: La chariotte
site_description: An application for grouped-orders
repo_name: la-chariotte/la_chariotte
repo_url: https://framagit.org/la-chariotte/la-chariotte
nav:
  - How-tos:
    - Getting started: install.md
  - Contributing:
    - How to: contributing/contributing.md
    - Naming conventions: contributing/naming.md
    - Releasing: contributing/releasing.md
  - Developer:
    - Architecture: development/architecture.md
  - Configuration:
    - Settings: settings.md
  - Deployment: deploy.md
  - Changelog: changelog.md
theme:
  name: material
  homepage: https://chariotte.fr
  palette:
    - scheme: 'default'
      media: '(prefers-color-scheme: light)'
      primary: 'custom'
      toggle:
        icon: 'material/lightbulb'
        name: 'Switch to dark mode'
    - scheme: 'slate'
      media: '(prefers-color-scheme: dark)'
      primary: 'custom'
      toggle:
        icon: 'material/lightbulb-outline'
        name: 'Switch to light mode'
  features:
    - navigation.sections
    - navigation.footer
markdown_extensions:
  - pymdownx.magiclink
  - admonition
  - pymdownx.superfences:
      custom_fences:
        - name: mermaid
          class: mermaid
          format: !!python/name:pymdownx.superfences.fence_code_format
  - pymdownx.tabbed:
      alternate_style: true
      combine_header_slug: true
